DataBolsa docs
Referência da APIDados de mercadoEUA

Filings SEC de uma empresa dos EUA (10-K, 10-Q, 8-K…)

Metadados e link do documento oficial no EDGAR (SEC).

GET
/v1/us/assets/{ticker}/filings
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring

Ticker do ativo nos EUA, ex.: AAPL, MSFT, SPY.

Match^[A-Z0-9.\-]+$
Length1 <= length <= 10

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
form?string

Filtra por formulário (10-K, 10-Q, 8-K…)

Response Body

curl -X GET "https://api.databolsa.com/v1/us/assets/string/filings?cursor=string&limit=100&form=string"
{
  "data": [
    {
      "accession": "string",
      "form": "string",
      "filed_at": "string",
      "report_date": "string",
      "description": "string",
      "url": "string"
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0,
    "total": 0,
    "subject": {
      "property1": "string",
      "property2": "string"
    }
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}